// VMD2003 MCU UPDATE API V1.0 2017/09/20
#define VMD2003_MCU_UPDATE_API extern "C" __declspec(dllimport)


VMD2003_MCU_UPDATE_API void VMD_MCU_Update_Get_DLL_Version(int *pnMajorVersion, int *pnMinorVersion);

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_Connect();
VMD2003_MCU_UPDATE_API void VMD_MCU_Update_Disconnect();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_LoadBinFile(const char *pszFileName, char *pszVersion, unsigned int nVersionLen);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_LoadBinFile_W(const wchar_t *pszFileName, wchar_t *pszVersion, unsigned int nVersionLen);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_EnterUpdateModeAndEraseFlash();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_Start();
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_IsUpdateFinish(unsigned int *pnPercent);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_DoUpdate();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_Check_Start();
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_IsCheckFinish(unsigned int *pnPercent);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_DoCheck();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_Start();
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_IsUpdateFinish(unsigned int *pnPercent);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_DoUpdate();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_Check_Start();
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_IsCheckFinish(unsigned int *pnPercent);
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_NVRAM_DoCheck();

VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_Finish();
VMD2003_MCU_UPDATE_API int  VMD_MCU_Update_Reboot();
